Name:           lostsky
Version:        1.1.1c
Release:        %mkrel 1
Summary:        Story of a Lost Sky - Turn-based strategy RPG in the Touhou universe
Group:          Games/Strategy
License:        BSD
URL:            http://www.featheredmelody.com
# https://bitbucket.org/featheredmelody/lost-sky-project-public/downloads repacked as tar.xz
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-128.png
Source2:        %{name}-32.png
Source3:        %{name}-16.png
Patch0:         lostsky-1.1-mga-gamesdatadir.patch
Patch1:         lostsky-1.1-mga-fonts.patch
Patch2:         lostsky-1.1.1-hg-upgrade-old-options.patch

BuildArch:      noarch
BuildRequires:  dos2unix
BuildRequires:  python-setuptools

%description
Story of a Lost Sky is a Turn Based Strategy RPG with a gameplay similar
to Fire Emblem. Units are placed on a tile map and each side takes turns
moving and attacking. Outside the battle map, the player is able to
customize their characters and equip new spells and traits.

%prep
%setup -q
# Needed to apply Patch1
dos2unix tools/map_editor/map_editor.py
%autopatch -p1

# Unbundle system fonts
rm -f fonts/{DejaVuSans-Oblique.ttf,VeraSeBd.ttf}

%build
%py2_build

%install
%py2_install

mv %{buildroot}%{_bindir}/srpg.py %{buildroot}%{_bindir}/%{name}
mv %{buildroot}%{_bindir} %{buildroot}%{_gamesbindir}

for size in 16 32 128; do
    install -D -m644 %{_sourcedir}/%{name}-${size}.png \
            %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Story of a Lost Sky
Comment=Turn-based strategy RPG in the Touhou universe
GenericName=Strategy RPG
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;RolePlaying;
EOF

%files
%{python2_sitelib}/%{name}/
%{python2_sitelib}/*.egg-info/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Sep 02 2016 akien <akien> 1.1.1c-1.mga6
+ Revision: 1049738
- Version 1.1.1c

* Sat Jan 09 2016 akien <akien> 1.1-1.mga6
+ Revision: 920842
- Version 1.1

* Fri Sep 11 2015 ovitters <ovitters> 1.0.0-2.mga6
+ Revision: 877529
+ rebuild (emptylog)

* Sat Feb 28 2015 akien <akien> 1.0.0-2.mga5
+ Revision: 817208
- Fix URL
- Fix the broken save game system on Linux
- Make use of the game icon as window icon

* Fri Feb 13 2015 akien <akien> 1.0.0-1.mga5
+ Revision: 814864
- imported package lostsky

